Skip to main content
GET
/
v3
/
evaluators
/
get-config-options
List evaluator config schemas
curl --request GET \
  --url https://api.example.com/v3/evaluators/get-config-options \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "config_schemas": [
      {
        "enrichment_display_name": "<string>",
        "enrichment_config": {
          "type": "<string>",
          "title": "<string>",
          "description": "<string>",
          "properties": {},
          "required": [
            "<string>"
          ],
          "additional_properties": true
        },
        "preset_fields": {
          "prompt": "<string>",
          "outputs": [
            {
              "name": "<string>",
              "type": "<string>"
            }
          ]
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of evaluator config schema for each enrichment type

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object